[SCM] Samba Shared Repository - branch master updated

Günther Deschner gd at samba.org
Mon Jul 5 07:48:18 MDT 2010


The branch, master has been updated
       via  b37db75... s3-build: add idl_full to Makefile.
       via  cb52b1a... s3-idl: support --full for s3 build_idl.sh as well.
      from  6071ca9... s4:include/smbldap.h - introduce a placeholder for "LDAPMessage" if we don't link against a LDAP library

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit b37db757b6d552a9b3dea7428a811e403a2c6bbd
Author: Günther Deschner <gd at samba.org>
Date:   Mon Jul 5 15:24:55 2010 +0200

    s3-build: add idl_full to Makefile.
    
    Guenther

commit cb52b1ad99e17c09d4c429a780f30772efd6eaf9
Author: Günther Deschner <gd at samba.org>
Date:   Mon Jul 5 15:24:27 2010 +0200

    s3-idl: support --full for s3 build_idl.sh as well.
    
    Guenther

-----------------------------------------------------------------------

Summary of changes:
 source3/Makefile.in         |    9 +++++++++
 source3/script/build_idl.sh |   13 +++++++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/Makefile.in b/source3/Makefile.in
index 975b3fe..e813197 100644
--- a/source3/Makefile.in
+++ b/source3/Makefile.in
@@ -1420,6 +1420,15 @@ samba3-idl::
 		librpc/idl/wbint.idl librpc/idl/perfcount.idl \
 		librpc/idl/secrets.idl librpc/idl/libnet_join.idl
 
+idl_full::
+	@PIDL_OUTPUTDIR="librpc/gen_ndr" PIDL_ARGS="$(PIDL_ARGS)" CPP="$(CPP)" PIDL="../pidl/pidl" \
+	 srcdir="$(srcdir)" ../librpc/build_idl.sh --full ../librpc/idl/*.idl
+	@PIDL_OUTPUTDIR="librpc/gen_ndr" PIDL_ARGS="$(PIDL_ARGS)" CPP="$(CPP)" PIDL="../pidl/pidl" \
+	 srcdir="$(srcdir)" $(srcdir)/script/build_idl.sh --full \
+		 librpc/idl/messaging.idl librpc/idl/libnetapi.idl librpc/idl/notify.idl \
+		 librpc/idl/wbint.idl librpc/idl/perfcount.idl \
+		 librpc/idl/secrets.idl librpc/idl/libnet_join.idl
+
 #####################################################################
 
 
diff --git a/source3/script/build_idl.sh b/source3/script/build_idl.sh
index 8877913..8f88588 100755
--- a/source3/script/build_idl.sh
+++ b/source3/script/build_idl.sh
@@ -1,5 +1,12 @@
 #!/bin/sh
 
+if [ "$1" = "--full" ]; then
+	FULL=1
+	shift 1
+else
+	FULL=0
+fi
+
 ARGS="--includedir=../librpc/idl --outputdir $PIDL_OUTPUTDIR --header --ndr-parser --samba3-ndr-server --samba3-ndr-client $PIDL_ARGS --"
 IDL_FILES="$*"
 
@@ -10,6 +17,12 @@ cd ${srcdir}
 
 PIDL="$PIDL $ARGS"
 
+if [ $FULL = 1 ]; then
+	echo "Rebuilding all idl files"
+	$PIDL $IDL_FILES || exit 1
+	exit 0
+fi
+
 ##
 ## Find newer files rather than rebuild all of them
 ##


-- 
Samba Shared Repository


More information about the samba-cvs mailing list